### R code from vignette source 'simctest-intro.Rnw'

###################################################
### code chunk number 1: simctest-intro.Rnw:58-59
###################################################
library(simctest)


###################################################
### code chunk number 2: simctest-intro.Rnw:63-64 (eval = FALSE)
###################################################
## vignette("simctest-intro")


###################################################
### code chunk number 3: simctest-intro.Rnw:81-83
###################################################
res <- simctest(function() runif(1)<0.07);
res


###################################################
### code chunk number 4: simctest-intro.Rnw:87-88
###################################################
confint(res)


###################################################
### code chunk number 5: simctest-intro.Rnw:96-98
###################################################
res <- simctest(function() runif(1)<0.05);
res


###################################################
### code chunk number 6: simctest-intro.Rnw:104-106
###################################################
res <- cont(res,10000)
res


###################################################
### code chunk number 7: simctest-intro.Rnw:113-128
###################################################
data(fir,package="boot")
fir.mle <- c(sum(fir$count), nrow(fir))
fir.gen <- function(data, mle){
  d<-data
  y <- sample(x=mle[2],size=mle[1],replace=TRUE)
  d$count <- tabulate(y,mle[2])
  d
}
fir.fun <- function(data)
  (nrow(data)-1)*var(data$count)/mean(data$count)
resampl <- function(){
  obs<fir.fun(fir.gen(data=fir,mle=fir.mle))
}
obs<-fir.fun(fir)
simctest(resampl)


###################################################
### code chunk number 8: simctest-intro.Rnw:156-165
###################################################
genstream <- function(){
  D <- list(group1 = rnorm(8, mean=0), group2 = rnorm(4, mean=0.5))
  t <- mean(D$group2) - mean(D$group1)
  stream <- function(){
    group <- (c(D$group1, D$group2))[sample.int(12)]
    T <- mean(group[9:12]) - mean(group[1:8])
    T >= t      
  }    
}


###################################################
### code chunk number 9: simctest-intro.Rnw:182-183
###################################################
genstream <- function(){p <- runif(1); function(N){runif(N) <= p}}


###################################################
### code chunk number 10: simctest-intro.Rnw:190-192
###################################################
res<-mcp(genstream, options=list(reports=FALSE))
res


###################################################
### code chunk number 11: simctest-intro.Rnw:199-201
###################################################
res<-mcp(genstream, delta=0.05, options=list(reports=FALSE))
res


###################################################
### code chunk number 12: simctest-intro.Rnw:206-210
###################################################
res <- mcp(genstream, options=list(reports=FALSE, 
                        deltamid=mkdeltamid(mindelta=0.02, maxdelta=1, llim=0, rlim=0.9),
                        epsilon=0.0001))
res


